
create_clock -name board_clk -period 20 -waveform {0 10} [get_pins {board_clk_ibuf/I}]
create_generated_clock -name hclk -source [get_pins {board_clk_ibuf/I}] -master_clock board_clk -divide_by 2 -multiply_by 25 [get_pins {u_pll_hclk/PLLA_inst/CLKOUT0}]
create_generated_clock -name clk_mac -source [get_pins {board_clk_ibuf/I}] -master_clock board_clk -divide_by 10 -multiply_by 25 [get_pins {u_pll_hclk/PLLA_inst/CLKOUT4}]
create_generated_clock -name clk_uart -source [get_pins {board_clk_ibuf/I}] -master_clock board_clk -divide_by 80 -multiply_by 16 [get_pins {u_pll_uart/PLLA_inst/CLKOUT0}]
create_generated_clock -name clk_os -source [get_pins {u_pll_hclk/PLLA_inst/CLKOUT0}] -master_clock hclk -divide_by 4 -multiply_by 1 [get_pins {u_giga_serial_ethernet_lvds_top/u_giga_serial_ethernet/u_share_logic/clkdiv_inst/CLKOUT}]
set_false_path -from [get_clocks {board_clk clk_uart clk_mac}] -to [get_clocks {clk_os}] 
set_false_path -from [get_clocks {clk_uart clk_os board_clk}] -to [get_clocks {clk_mac}] 
set_false_path -from [get_clocks {clk_mac clk_os}] -to [get_clocks {clk_uart}] 
set_false_path -from [get_clocks {board_clk}] -to [get_clocks {hclk}] 
set_false_path -from [get_clocks {clk_uart}] -to [get_clocks {board_clk}] 
