//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.9.02
//Part Number: GW5A-LV25UG324C2/I1
//Device: GW5A-25
//Device Version: A
//Created Time: Wed Mar 20 15:15:44 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	Giga_Serial_Ethernet_LVDS_Top your_instance_name(
		.RX_P(RX_P_i), //input RX_P
		.RX_N(RX_N_i), //input RX_N
		.TX_P(TX_P_o), //output TX_P
		.TX_N(TX_N_o), //output TX_N
		.pll_clkin_i(pll_clkin_i_i), //input pll_clkin_i
		.pll_clkout0_i(pll_clkout0_i_i), //input pll_clkout0_i
		.pll_clkout1_i(pll_clkout1_i_i), //input pll_clkout1_i
		.pll_clkout2_i(pll_clkout2_i_i), //input pll_clkout2_i
		.pll_clkout3_i(pll_clkout3_i_i), //input pll_clkout3_i
		.pll_clkout4_i(pll_clkout4_i_i), //input pll_clkout4_i
		.pll_lock_i(pll_lock_i_i), //input pll_lock_i
		.share_clk0_o(share_clk0_o_o), //output share_clk0_o
		.share_clk1_o(share_clk1_o_o), //output share_clk1_o
		.share_clk2_o(share_clk2_o_o), //output share_clk2_o
		.share_clk3_o(share_clk3_o_o), //output share_clk3_o
		.share_clk4_o(share_clk4_o_o), //output share_clk4_o
		.share_clk5_o(share_clk5_o_o), //output share_clk5_o
		.share_reset_o(share_reset_o_o), //output share_reset_o
		.pcs_rstn_i(pcs_rstn_i_i), //input pcs_rstn_i
		.prbs_enable_i(prbs_enable_i_i), //input prbs_enable_i
		.prbs_err_o(prbs_err_o_o), //output prbs_err_o
		.prbs_lock_o(prbs_lock_o_o), //output prbs_lock_o
		.prbs_err_num_o(prbs_err_num_o_o), //output [3:0] prbs_err_num_o
		.signal_detect_i(signal_detect_i_i), //input signal_detect_i
		.basex_link_timer_i(basex_link_timer_i_i), //input [8:0] basex_link_timer_i
		.sgmii_link_timer_i(sgmii_link_timer_i_i), //input [8:0] sgmii_link_timer_i
		.basex_or_sgmii_i(basex_or_sgmii_i_i), //input basex_or_sgmii_i
		.sgmii_mode_i(sgmii_mode_i_i), //input sgmii_mode_i
		.repeater_mode_i(repeater_mode_i_i), //input repeater_mode_i
		.rx_mac_clk_o(rx_mac_clk_o_o), //output rx_mac_clk_o
		.rx_mac_valid_o(rx_mac_valid_o_o), //output rx_mac_valid_o
		.rx_mac_data_o(rx_mac_data_o_o), //output [7:0] rx_mac_data_o
		.rx_mac_last_o(rx_mac_last_o_o), //output rx_mac_last_o
		.rx_mac_error_o(rx_mac_error_o_o), //output rx_mac_error_o
		.tx_mac_clk_o(tx_mac_clk_o_o), //output tx_mac_clk_o
		.tx_mac_valid_i(tx_mac_valid_i_i), //input tx_mac_valid_i
		.tx_mac_data_i(tx_mac_data_i_i), //input [7:0] tx_mac_data_i
		.tx_mac_last_i(tx_mac_last_i_i), //input tx_mac_last_i
		.tx_mac_error_i(tx_mac_error_i_i), //input tx_mac_error_i
		.tx_mac_ready_o(tx_mac_ready_o_o), //output tx_mac_ready_o
		.tx_collision_o(tx_collision_o_o), //output tx_collision_o
		.tx_retransmit_o(tx_retransmit_o_o), //output tx_retransmit_o
		.rx_fcs_fwd_ena_i(rx_fcs_fwd_ena_i_i), //input rx_fcs_fwd_ena_i
		.rx_jumbo_ena_i(rx_jumbo_ena_i_i), //input rx_jumbo_ena_i
		.rx_statistics_valid_o(rx_statistics_valid_o_o), //output rx_statistics_valid_o
		.rx_statistics_vector_o(rx_statistics_vector_o_o), //output [26:0] rx_statistics_vector_o
		.rx_pause_req_o(rx_pause_req_o_o), //output rx_pause_req_o
		.rx_pause_val_o(rx_pause_val_o_o), //output [15:0] rx_pause_val_o
		.tx_pause_req_i(tx_pause_req_i_i), //input tx_pause_req_i
		.tx_pause_val_i(tx_pause_val_i_i), //input [15:0] tx_pause_val_i
		.tx_pause_source_addr_i(tx_pause_source_addr_i_i), //input [47:0] tx_pause_source_addr_i
		.tx_ifg_delay_ena_i(tx_ifg_delay_ena_i_i), //input tx_ifg_delay_ena_i
		.tx_ifg_delay_i(tx_ifg_delay_i_i), //input [7:0] tx_ifg_delay_i
		.tx_fcs_fwd_ena_i(tx_fcs_fwd_ena_i_i), //input tx_fcs_fwd_ena_i
		.tx_statistics_valid_o(tx_statistics_valid_o_o), //output tx_statistics_valid_o
		.tx_statistics_vector_o(tx_statistics_vector_o_o), //output [28:0] tx_statistics_vector_o
		.miim_hs_clk_i(miim_hs_clk_i_i), //input miim_hs_clk_i
		.miim_rstn_i(miim_rstn_i_i), //input miim_rstn_i
		.miim_phyad_i(miim_phyad_i_i), //input [4:0] miim_phyad_i
		.miim_regad_i(miim_regad_i_i), //input [4:0] miim_regad_i
		.miim_wrdata_i(miim_wrdata_i_i), //input [15:0] miim_wrdata_i
		.miim_wren_i(miim_wren_i_i), //input miim_wren_i
		.miim_rden_i(miim_rden_i_i), //input miim_rden_i
		.miim_rddata_o(miim_rddata_o_o), //output [15:0] miim_rddata_o
		.miim_rddata_valid_o(miim_rddata_valid_o_o), //output miim_rddata_valid_o
		.miim_busy_o(miim_busy_o_o), //output miim_busy_o
		.mdc_o(mdc_o_o), //output mdc_o
		.mdio_in_i(mdio_in_i_i), //input mdio_in_i
		.mdio_out_o(mdio_out_o_o), //output mdio_out_o
		.mdio_oen_o(mdio_oen_o_o), //output mdio_oen_o
		.configuration_vector_i(configuration_vector_i_i), //input [14:0] configuration_vector_i
		.status_vector_o(status_vector_o_o), //output [10:0] status_vector_o
		.link_partner_ability_base_o(link_partner_ability_base_o_o) //output [15:0] link_partner_ability_base_o
	);

//--------Copy end-------------------
